#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 2

Name:           aurorae
Version: 6.3.91
Release:        %mkrel %{rel}
Summary:        Aurorae is a themeable window decoration for KWin
License:        GPL-2.0-or-later AND MIT AND CC0-1.0
Group:          Graphical desktop/KDE
URL:            https://invent.kde.org/plasma/aurorae
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(KDecoration3)

# ease upgrade
Conflicts:      kwin-common < 6.3.91


%description
Aurorae is a themeable window decoration for KWin.
It supports theme files consisting of several SVG files for
decoration and buttons. Themes can be installed and selected
directly in the configuration module of KWin decorations.
Please have a look at theme-description on how to write a theme file.

%files -f %{name}.lang
%doc README AUTHORS TODO
%license LICENSES/*
%{_qt6_plugindir}/org.kde.kdecoration3.kcm/kcm_auroraedecoration.so
%{_qt6_plugindir}/org.kde.kdecoration3/org.kde.kwin.aurorae.so
%{_kf6_qmldir}/org/kde/kwin/decoration/AppMenuButton.qml
%{_kf6_qmldir}/org/kde/kwin/decoration/ButtonGroup.qml
%{_kf6_qmldir}/org/kde/kwin/decoration/Decoration.qml
%{_kf6_qmldir}/org/kde/kwin/decoration/DecorationButton.qml
%{_kf6_qmldir}/org/kde/kwin/decoration/MenuButton.qml
%{_kf6_qmldir}/org/kde/kwin/decoration/libdecorationplugin.so
%{_kf6_qmldir}/org/kde/kwin/decoration/qmldir
%{_kf6_qmldir}/org/kde/kwin/decorations/plastik/libplastikplugin.so
%{_kf6_qmldir}/org/kde/kwin/decorations/plastik/qmldir
%{_libexecdir}/plasma-apply-aurorae
%{_kf6_datadir}/knsrcfiles/aurorae.knsrc
%{_kf6_datadir}/kwin/aurorae/
%{_kf6_datadir}/kwin/decorations/kwin4_decoration_qml_plastik/

#--------------------------------------------------------------------

%define aurorae_devel %mklibname %{name} -d

%package -n %{aurorae_devel}
Summary:        Development libraries for %{name}
Group:          Development/KDE and Qt
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{aurorae_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{aurorae_devel}
%{_kf6_libdir}/cmake/Aurorae/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Fri May 30 2025 daviddavid <daviddavid> 6.3.91-2.mga10
+ Revision: 2187202
- do not requires kwin-common
- fix conflicting files with kwin-common

* Fri May 30 2025 daviddavid <daviddavid> 6.3.91-1.mga10
+ Revision: 2187177
- initial package aurorae (says hello aurorae to plasma stack)

